function EventHorizon:InitializeClass()
	self.config.gcdSpellID = 1978
	self.config.hastedSpellID = {56641,2} -- Steady Shot (Note: This probably isn't needed at all for Hunters, but it's here just in case)
	
	-- Serpent Sting
	self:newSpell({
		spellID = 1978,
		debuff = {1978,3},
		refreshable = true,
	})
	
	-- Black Arrow
	self:newSpell({
		debuff = {3674,3},
		cooldown = 3674,
		requiredTree = 3,
		requiredLevel = 50,
	})
	
	-- Explosive Shot
	self:newSpell({
		debuff = {53301,1},
		cooldown = 53301,
		requiredTree = 3,
	})
	
	-- Chimaera Shot
	self:newSpell({
		--cast = 19434,
		cooldown = 53209,
		--playerbuff = {82925,82926}, -- "Ready, Set, Aim..." + "Fire!"
		requiredTree = 2,
		requiredLevel = 60,
	})
	
	-- Kill Command + Killing Streak
	self:newSpell({
		cooldown = 34026,
		requiredTree = 1,
	})
	
	-- Steady/Cobra + Improved Steady Shot
	self:newSpell({
		cast = {56641,77767},
		playerbuff = 53224,  --same  spellid for the new Steady Focus so leave Cata Improved Stead Shot id there
		recast = true,
	})
		-- Aimed shot
	self:newSpell({
		cast = 19434,
		playerbuff = {82925,82926}, -- "Ready, Set, Aim..." + "Fire!"
		requiredTree = 2,
	})
	
	-- Frenzy + Focus Fire (FF buff has the same duration as CD, no real reason to track it)
	self:newSpell({
		playerbuff = 19615,
		cooldown = 82692,
		auraunit = 'pet',
		unique = true,
		refreshable = true,
		--minstacks = 5,
		requiredTree = 1,
	})
	
	-- Bestial Wrath
	self:newSpell({
		playerbuff = 34471,
		cooldown = 19574,
		requiredTree = 1,
		requiredLevel = 40,
	})
	
	--- Dire Beast
	self:newSpell({
		cooldown = 120679,
		requiredLevel = 75,
	})
	
	--[[
	--- Rapid Fire          ---- Incase you want to use this bar
	self:newSpell({
		spellID = 3045,
		cooldown = true,
		requiredLevel = 54,
	})    ]]--

	--[[  NOTE!
	---Not  currently going to work unless we can find out how to recognize when of the "secondary" talents are being used. 
	--- I've been looking all over the place and haven't found it yet. Something along the lines of  ... requiredTalent = {#)
	]]--
	
		--[[
	--- Fervor --- TALENTED!
	self:newSpell({
		spellID = 82726,
		cooldown = true,
		requiredLevel = 60,
	})

	--- Readiness --- TALENTED!
	self:newSpell({
		spellID = 23989,
		cooldown = true,
		requiredLevel = 60,
	})
	
	--- Thrill of the Hunt --- TALENTED!
	self:newSpell({
		spellID = 34720,
		cooldown = true,
		requiredLevel = 60,
	})
	
	]]--
	
end